|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QChar

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QChar class reference

### Public Functions

- const char ascii () const
- const char latin1 () const
- QChar lower () const
- bool mirrored () const
- QChar upper () const

### Static Public Members

- bool networkOrdered ()

## Member Function Documentation

### const char QChar::ascii () const

### const char QChar::latin1 () const

Returns the Latin-1 character equivalent to the QChar, or 0. This is mainly useful for non-internationalized software.

See also ascii(), unicode(), and QTextCodec::codecForCStrings().

### QChar QChar::lower () const

Use toLower() instead.

### bool QChar::mirrored () const

Use hasMirrored() instead.

### bool QChar::networkOrdered () `[static]`

See if QSysInfo::ByteOrder == QSysInfo::BigEndian instead.

### QChar QChar::upper () const

Use toUpper() instead.